Update my preferences (deep-merged)
PATCH
/api/v1/users/me/preferences
const url = 'https://example.com/api/v1/users/me/preferences';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"notifications":{"assigned":true,"mentioned":true,"commented":true},"regional":{"dateFormat":"system","timeFormat":"system","firstDayOfWeek":"system"},"myWork":{"additionalProperty":{"group_by_field_id":"example","color_by_field_id":"example","hidden_field_ids":["example"],"filters":{"and":[{"field":"example","op":"example","value":"example","disabled":true,"pinned":true,"label":"example","icon":"example"}]},"sorts":[{"field":"example","direction":"asc"}],"sorts_nulls":"first"}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/users/me/preferences \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "notifications": { "assigned": true, "mentioned": true, "commented": true }, "regional": { "dateFormat": "system", "timeFormat": "system", "firstDayOfWeek": "system" }, "myWork": { "additionalProperty": { "group_by_field_id": "example", "color_by_field_id": "example", "hidden_field_ids": [ "example" ], "filters": { "and": [ { "field": "example", "op": "example", "value": "example", "disabled": true, "pinned": true, "label": "example", "icon": "example" } ] }, "sorts": [ { "field": "example", "direction": "asc" } ], "sorts_nulls": "first" } } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
notifications
object
assigned
boolean
mentioned
boolean
commented
boolean
regional
object
dateFormat
string
timeFormat
string
firstDayOfWeek
string
myWork
object
key
additional properties
object
group_by_field_id
string
color_by_field_id
string
hidden_field_ids
Array<string>
filters
sorts
Array<object>
object
field
required
string
direction
required
string
sorts_nulls
string